Method: indexes.delete

Full name: projects.locations.indexes.delete

Deletes an Index. An Index can only be deleted when all its DeployedIndexes had been undeployed.

Endpoint

delete https://{service-endpoint}/v1beta1/{name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the Index resource to be deleted. Format: projects/{project}/locations/{location}/indexes/{index}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.indexes.delete

For more information, see the IAM documentation.